Package pywbem :: Module cim_types :: Class MinutesFromUTC |
[frames] | no frames]

# Class MinutesFromUTC

source code

         object --+
                  |
    datetime.tzinfo --+
                      |
                     MinutesFromUTC

A `datetime.tzinfo` implementation defined using a fixed offset in +/- minutes from UTC.

Instance Methods
__init__(self, offset) Initialize the MinutesFromUTC object from a timezone offset. | source code
utcoffset(self, dt) Implement the `datetime.tzinfo.utcoffset` method by returning the timezone offset as a `datetime.timedelta` object. | source code
dst(self, dt) Implement the `datetime.tzinfo.dst` method by returning a DST value of 0 as a `datetime.timedelta` object. | source code
Inherited from `datetime.tzinfo`: `__getattribute__`, `__new__`, `__reduce__`, `fromutc`, `tzname` Inherited from `object`: `__delattr__`, `__format__`, `__hash__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, offset) (Constructor) | source code
Initialize the MinutesFromUTC object from a timezone offset. Parameters: `offset` (`int`) - Timezone offset in +/- minutes from UTC, where a positive value indicates minutes east of UTC, and a negative value indicates minutes west of UTC. Overrides: object.__init__

### utcoffset(self, dt) | source code
Implement the `datetime.tzinfo.utcoffset` method by returning the timezone offset as a `datetime.timedelta` object. Overrides: datetime.tzinfo.utcoffset

### dst(self, dt) | source code
Implement the `datetime.tzinfo.dst` method by returning a DST value of 0 as a `datetime.timedelta` object. Overrides: datetime.tzinfo.dst